package com.ruoyi.app.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 监控设备对象 monitor
 * 
 * @author coede
 * @date 2025-03-19
 */
public class Monitor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 监控名称 */
    @Excel(name = "监控名称")
    private String monitorName;

    /** 区域Id */
    @Excel(name = "区域Id")
    private Long regionId;

    /** 设备品牌 */
    @Excel(name = "设备品牌")
    private String monitorBrand;

    /** IP */
    @Excel(name = "IP")
    private String ipAddr;

    /** 删除标志 */
    private String delFlag;

    private Region region;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setMonitorName(String monitorName) 
    {
        this.monitorName = monitorName;
    }

    public String getMonitorName() 
    {
        return monitorName;
    }

    public void setRegionId(Long regionId)
    {
        this.regionId = regionId;
    }

    public Long getRegionId()
    {
        return regionId;
    }

    public void setMonitorBrand(String monitorBrand) 
    {
        this.monitorBrand = monitorBrand;
    }

    public String getMonitorBrand() 
    {
        return monitorBrand;
    }

    public void setIpAddr(String ipAddr) 
    {
        this.ipAddr = ipAddr;
    }

    public String getIpAddr() 
    {
        return ipAddr;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setRegion(Region region)
    {
        this.region = region;
    }

    public Region getRegion()
    {
        return region;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("monitorName", getMonitorName())
            .append("regionId", getRegionId())
            .append("monitorBrand", getMonitorBrand())
            .append("ipAddr", getIpAddr())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .append("region", getRegion())
            .toString();
    }
}
